# MarkingStrategy

@Incubating
interface MarkingStrategy

Represents a method of marking a cache directory. This is used to mark Gradle's cache directories.

You may implement your own marking strategy by implementing this interface and setting getMarkingStrategy.

#### Since

8.1

## Properties

CACHEDIR_TAG
Link copied to clipboard
val CACHEDIR_TAG: MarkingStrategy
Marking strategy that marks the cache directory with a `CACHEDIR.TAG` file.
NONE
Link copied to clipboard
val NONE: MarkingStrategy
Marking strategy that does not mark the cache directory.

## Functions

tryMarkCacheDirectory
Link copied to clipboard
abstract fun tryMarkCacheDirectory(file: File)
Try to mark the given cache directory.